<?php
/*
Plugin Name: Jetpack Featured Content Slider
Plugin URI: http://mikeyarce.com
Description: Saves your Featured Posts into a Shortcode that displays them in a Responsive Slider
Author: Mikey
Version: 0.1
Author URI: http://mikeyarce.com
*/

// Add theme support for Jetpack's Featured Content
add_theme_support( 'featured-content', array(
    'filter'     => 'mytheme_get_featured_posts',
    'max_posts'  => 20,
    'post_types' => array( 'post', 'page' ),
) );

function mytheme_get_featured_posts() {
    return apply_filters( 'mytheme_get_featured_posts', array() );
}

function mytheme_has_featured_posts( $minimum = 1 ) {
    if ( is_paged() )
        return false;
 
    $minimum = absint( $minimum );
    $featured_posts = apply_filters( 'mytheme_get_featured_posts', array() );
 
    if ( ! is_array( $featured_posts ) )
        return false;
 
    if ( $minimum > count( $featured_posts ) )
        return false;
 
    return true;
}

// Create the Slider shortcode
// You can edit how the slider displays by editing the slider.php file in this plugin
function slider_shortcode() {
    ob_start();
    include('slider.php');
    return ob_get_clean();
}
add_shortcode( 'slider', 'slider_shortcode' );



// Enqueue the scripts

function marce_featured_content_scripts() {
        wp_enqueue_script('featured-content-script', plugins_url( '/js/jquery.flexslider-min.js' , __FILE__ ), array( 'jquery' ) );
        wp_enqueue_style( 'featured-content-style', plugins_url('flexslider.css', __FILE__) );
}
add_action( 'wp_enqueue_scripts', 'marce_featured_content_scripts', 11 );







